import request from '@/utils/request'


//新建项目
export function insert(data) {
  return request({
    url: '/project/insert',
    method: 'post',
    data
  })
}
//查询公司项目
export function selectByCompanyId(data) {
  return request({
    url: '/project/selectByCompanyId',
    method: 'post',
    data
  })
}
//查询项目列表(负责项目或参与项目)
export function selectBYPression(data) {
  return request({
    url: '/project/selectBYPression',
    method: 'post',
    data
  })
}


//查询项目（根据公司id和userId查询带分页）
export function selectAll(data) {
  return request({
    url: '/project/selectAll',
    method: 'post',
    data
  })
}
//修改项目
export function update(data) {
  return request({
    url: '/project/update',
    method: 'post',
    data
  })
}
//查询项目（根据项目的id查询）
export function selectByProjectId(data) {
  return request({
    url: '/project/selectByProjectId',
    method: 'post',
    data
  })
}
//发票添加
export function insertList(data){
  return request({
    url:'/invoice/insert',
    method:'post',
    data
  })
}
//发票查询（带着分页）
///invoice/queryBypage
export function queryBypageIncomeAdd(data){
  return request({
    url:'/invoice/queryBypage',
    method:'post',
    data
  })
}
//查询发票编号
//POST/invoice/selectAllBystatus
export function selectAllBystatus(data){
  return request({
    url:'/invoice/selectAllBystatus',
    method:'post',
    data
  })
}
///invoice/updatesubmit报销提交修改
export function updatesubmit(data){
  return request({
    url:'/invoice/updatesubmit',
    method:'post',
    data
  })
}
//查询发票图片
export function selectAllById(data){
  return request({
    url:'/invoice/selectAllById',
    method:'post',
    data
  })
}